services:
  node:
    image: trion/ng-cli:17.2.1
    restart: unless-stopped
    volumes:
      - ./:/app
    working_dir: /app
    command: ng serve --host 0.0.0.0 --port 4200
    networks:
      - webgateway
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${PROJECT_NAME}-front.rule=Host(`${PROJECT_HOSTNAME}`)"
      - "traefik.http.routers.${PROJECT_NAME}-front.tls=true"
      - "traefik.http.routers.${PROJECT_NAME}-front.entrypoints=websecure"
      - "traefik.http.services.${PROJECT_NAME}-front.loadbalancer.server.port=4200"

networks:
  webgateway:
    external: true

